Loading...
Searching...
No Matches
casacore::SDWeatherHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDWeatherHandler.h>`

## Public Member Functions

| SDWeatherHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDWeatherHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - mark fields in row as handled
| SDWeatherHandler (const SDWeatherHandler &other)
| copy ctor
| ~SDWeatherHandler ()
SDWeatherHandler & | operator= (const SDWeatherHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark fields in row as handled
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, Int antennaId, Double time, Vector< Double > &timeRange)
| fill - a new row is added as necessary, there is no lookback to see if a row could be reused.

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup row-related stuff
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| intialize the row related stuff

## Private Attributes

MSWeather * | msWeather_p
MSWeatherColumns * | msWeatherCols_p
Int | rownr_p
Int | humidityId_p
Int | tambientId_p
Int | pressureId_p
Int | dewpointId_p
Int | windspeeId_p
Int | winddireId_p
RORecordFieldPtr< Float > | H2OField_p
| additional fields from an SDFITS file that had a previous life as a MS
RORecordFieldPtr< Float > | ionosElectronField_p
RORecordFieldPtr< Float > | pressureField_p
RORecordFieldPtr< Float > | humidityField_p
RORecordFieldPtr< Float > | temperatureField_p
RORecordFieldPtr< Float > | windDirField_p
RORecordFieldPtr< Float > | windSpeedField_p
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< Double > | intervalField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 83 of file SDWeatherHandler.h.

## Constructor & Destructor Documentation

## SDWeatherHandler() [1/3]

casacore::SDWeatherHandler::SDWeatherHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDWeatherHandler().

## SDWeatherHandler() [2/3]

casacore::SDWeatherHandler::SDWeatherHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - mark fields in row as handled

References casacore::Record().

## SDWeatherHandler() [3/3]

casacore::SDWeatherHandler::SDWeatherHandler | ( | const SDWeatherHandler & | other | ) |

copy ctor

References SDWeatherHandler().

## ~SDWeatherHandler()

casacore::SDWeatherHandler::~SDWeatherHandler | ( |  | ) |

inline

Definition at line 95 of file SDWeatherHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDWeatherHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark fields in row as handled

References casacore::Record().

## clearAll()

void casacore::SDWeatherHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDWeatherHandler().

## clearRow()

void casacore::SDWeatherHandler::clearRow | ( |  | ) |

private

cleanup row-related stuff

## fill()

void casacore::SDWeatherHandler::fill | ( | const Record & | row,
|  | Int | antennaId,
|  | Double | time,
|  | Vector< Double > & | timeRange )

fill - a new row is added as necessary, there is no lookback to see if a row could be reused.

Only the current row might be reused.

References casacore::Record(), and casacore::time().

## initAll()

void casacore::SDWeatherHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDWeatherHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

intialize the row related stuff

References casacore::Record().

## operator=()

SDWeatherHandler & casacore::SDWeatherHandler::operator= | ( | const SDWeatherHandler & | other | ) |

assignment operator, uses copy semantics

References SDWeatherHandler().

## resetRow()

void casacore::SDWeatherHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## Member Data Documentation

## dewpointId_p

Int casacore::SDWeatherHandler::dewpointId_p

private

Definition at line 115 of file SDWeatherHandler.h.

## H2OField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::H2OField_p

private

additional fields from an SDFITS file that had a previous life as a MS

Definition at line 118 of file SDWeatherHandler.h.

## humidityField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::humidityField_p

private

Definition at line 119 of file SDWeatherHandler.h.

## humidityId_p

Int casacore::SDWeatherHandler::humidityId_p

private

Definition at line 115 of file SDWeatherHandler.h.

## intervalField_p

RORecordFieldPtr<Double> casacore::SDWeatherHandler::intervalField_p

private

Definition at line 120 of file SDWeatherHandler.h.

## ionosElectronField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::ionosElectronField_p

private

Definition at line 118 of file SDWeatherHandler.h.

## msWeather_p

MSWeather* casacore::SDWeatherHandler::msWeather_p

private

Definition at line 110 of file SDWeatherHandler.h.

## msWeatherCols_p

MSWeatherColumns* casacore::SDWeatherHandler::msWeatherCols_p

private

Definition at line 111 of file SDWeatherHandler.h.

## pressureField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::pressureField_p

private

Definition at line 118 of file SDWeatherHandler.h.

## pressureId_p

Int casacore::SDWeatherHandler::pressureId_p

private

Definition at line 115 of file SDWeatherHandler.h.

## rownr_p

Int casacore::SDWeatherHandler::rownr_p

private

Definition at line 113 of file SDWeatherHandler.h.

## tambientId_p

Int casacore::SDWeatherHandler::tambientId_p

private

Definition at line 115 of file SDWeatherHandler.h.

## temperatureField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::temperatureField_p

private

Definition at line 119 of file SDWeatherHandler.h.

## timeField_p

RORecordFieldPtr<Double> casacore::SDWeatherHandler::timeField_p

private

Definition at line 120 of file SDWeatherHandler.h.

## winddireId_p

Int casacore::SDWeatherHandler::winddireId_p

private

Definition at line 115 of file SDWeatherHandler.h.

## windDirField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::windDirField_p

private

Definition at line 119 of file SDWeatherHandler.h.

## windSpeedField_p

RORecordFieldPtr<Float> casacore::SDWeatherHandler::windSpeedField_p

private

Definition at line 119 of file SDWeatherHandler.h.

## windspeeId_p

Int casacore::SDWeatherHandler::windspeeId_p

private

Definition at line 115 of file SDWeatherHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDWeatherHandler.h